Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07914 Sound Minor Always Mar 23, 2021, 01:13 Jun 21, 2021, 18:45
Tester halmako View Status Public Platform MAME (Official Binary)
Assigned To crazyc Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver vis.cpp
Version 0.229 Fixed in Version 0.233 Build 64-bit
Fixed in Git Commit c5f283f Github Pull Request #
Summary MESS-specific 07914: vis: Sound effects will be played back as noise
Description Some sound effects will be played back as noise.
Not all sound effects will be played back as noise, but certain sound effects will be played back normally.
The sound effect that plays normally and the sound effect that becomes noise are not randomly interchangeable, but are fixed.
Steps To Reproduce In the case of Sherlock Holmes, the opening screen is already mostly noise.
Oh no, the music playing at the same time sounds right.

Links :In the case of The Challenge of Golf, when I wait for a while on the play screen, the random sound effects such as birdsong play normally, but the male voice becomes noisy.
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems vis
Attached Files
zip file icon Sound.zip (331,626 bytes) Mar 23, 2021, 01:13 Uploaded by halmako
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.18593
Tafoid
Administrator
Mar 23, 2021, 02:13
edited on: Mar 23, 2021, 02:16
Sounds and Graphics are known to be "imperfectly emulated" features. Each time you start the machine, you a get YELLOW warning screen, telling you this.
I'll let Fujix decide how we want to handle this since he already confirmed your first report about vis.
User avatar
No.18602
Fujix
Administrator
Mar 24, 2021, 16:33
edited on: Mar 24, 2021, 16:33
Acked just for reference.
User avatar
No.19009
crazyc
Developer
Jun 21, 2021, 18:38
edited on: Jun 21, 2021, 18:44
The sound problems with Sherlock Homes are fixed in https://github.com/mamedev/mame/commit/c5f283fcc67e6c8b12b53e2513627641c5994341
I think it also fixed the Links problems.